Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » The project cannot be built until its prerequisite org.eclipse.ui is built.
The project cannot be built until its prerequisite org.eclipse.ui is built. [message #534775] Thu, 20 May 2010 05:59 Go to next message
Maxi is currently offline Maxi
Messages: 9
Registered: May 2010
Junior Member
Hi

I am new in buckminster and I tried to begin with an existing example.

I tried
buckminster -data c:\temp\tutorial resolve http://dev.eclipse.org/svnroot/tools/org.eclipse.buckminster/trunk/org.eclipse.buckminster.tutor
ial.mailapp.releng/developer.cquery


Thats OK.
Then I tried
buckminster -data c:\temp\tutorial perform org.eclipse.buckminster.tutorial.mailapp.product.feature#site.p2

and got the error code
The project cannot be built until its prerequisite org.eclipse.ui is built. Cleaning and building all projects is recommended


This error I get also at an privat component I tried to perform.

Do you have any ideas whats the problem?

thx for help
regards Rainer
Re: The project cannot be built until its prerequisite org.eclipse.ui is built. [message #534778 is a reply to message #534775] Thu, 20 May 2010 06:10 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3214
Registered: July 2009
Senior Member
Try inserting a

buckminster build

between the resolve and the perform.

HTH,
- thomas


On 05/20/2010 12:00 PM, Rainer wrote:
> Hi
>
> I am new in buckminster and I tried to begin with an existing example.
>
> I tried
> buckminster -data c:\temp\tutorial resolve
> http://dev.eclipse.org/svnroot/tools/org.eclipse.buckminster /trunk/org.eclipse.buckminster.tutor
>
> ial.mailapp.releng/developer.cquery
>
> Thats OK.
> Then I tried
> buckminster -data c:\temp\tutorial perform
> org.eclipse.buckminster.tutorial.mailapp.product.feature#sit e.p2
> and got the error code
> The project cannot be built until its prerequisite org.eclipse.ui is
> built. Cleaning and building all projects is recommended
>
> This error I get also at an privat component I tried to perform.
>
> Do you have any ideas whats the problem?
>
> thx for help
> regards Rainer
Re: The project cannot be built until its prerequisite org.eclipse.ui is built. [message #534788 is a reply to message #534778] Thu, 20 May 2010 06:56 Go to previous messageGo to next message
Maxi is currently offline Maxi
Messages: 9
Registered: May 2010
Junior Member
Hi

I tried
buckminster -data c:\temp\tutorial build

there are a lot of errors like

Error: file C:\TEMP\tutorial\plugins\com.ibm.icu: build.properties does not exist
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 11: Package 'com.ibm.icu.lang' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 12: Package 'com.ibm.icu.math' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 13: Package 'com.ibm.icu.text' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 14: Package 'com.ibm.icu.util' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 15: Package 'com.ibm.icu.impl' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 16: Package 'com.ibm.icu.impl.data' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 17: Package 'com.ibm.icu.impl.data.icudt40b' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 18: Package 'com.ibm.icu.impl.data.icudt40b.brkitr' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 19: Package 'com.ibm.icu.impl.data.icudt40b.coll' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 20: Package 'com.ibm.icu.impl.data.icudt40b.rbnf' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 21: Package 'com.ibm.icu.impl.data.icudt40b.translit' does not exist in this plug-in

Warning: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 23: The 'Eclipse-LazyStart' header is deprecated, use 'Bundle-ActivationPolicy'
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable: build.properties does not exist
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 7: The type 'org.eclipse.core.internal.databinding.obs
ervable.Activator' is not on the plug-in classpath
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 14: Package 'org.eclipse.core.databinding.observable.set
' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 15: Package 'org.eclipse.core.databinding.observable.val
ue' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 16: Package 'org.eclipse.core.databinding.util' does not
 exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 17: Package 'org.eclipse.core.internal.databinding.ident
ity' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 19: Package 'org.eclipse.core.internal.databinding.obser
vable' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 20: Package 'org.eclipse.core.internal.databinding.obser
vable.masterdetail' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 10: Package 'org.eclipse.core.databinding.observable' do
es not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 11: Package 'org.eclipse.core.databinding.observable.lis
t' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 12: Package 'org.eclipse.core.databinding.observable.map
' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 13: Package 'org.eclipse.core.databinding.observable.mas
terdetail' does not exist in this plug-in
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.property: build.properties does not exist
.
.
.
.
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.ui\plugin.xml, line 47: "schema/viewActions.exsd" does not reference a schema file.
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.ui\plugin.xml, line 48: "schema/views.exsd" does not reference a schema file.
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.ui\plugin.xml, line 49: "schema/workingSets.exsd" does not reference a schema file.
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.ui\plugin.xml, line 50: "schema/browserSupport.exsd" does not reference a schema file.
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.ui\plugin.xml, line 51: "schema/internalTweaklets.exsd" does not reference a schema file.
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.ui\plugin.xml, line 52: "schema/installationPages.exsd" does not reference a schema file.
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.ui\META-INF\MANIFEST.MF, line 7: The type 'org.eclipse.ui.internal.UIPlugin' is not on the plug-in classpath
Error: file C:\TEMP\tutorial\plugins\org.eclipse.ui\META-INF\MANIFEST.MF, line 10: Package 'org.eclipse.ui.internal' does not exist in this plug-in


and
buckminster -data c:\temp\tutorial perform org.eclipse.buckminster.tutorial.mailapp.product.feature#site.p2
INFO:  [end org.eclipse.buckminster.tutorial.mailapp.product.feature:eclipse.feature$1.0.0#source.feature.jar]
INFO:  [start org.eclipse.buckminster.tutorial.mailapp.product.feature:eclipse.feature$1.0.0#copy.features]
INFO:  [end org.eclipse.buckminster.tutorial.mailapp.product.feature:eclipse.feature$1.0.0#copy.features]
INFO:  [start org.eclipse.buckminster.tutorial.mailapp.product.feature:eclipse.feature$1.0.0#copy.plugins]
INFO:  [end org.eclipse.buckminster.tutorial.mailapp.product.feature:eclipse.feature$1.0.0#copy.plugins]
INFO:  [start org.eclipse.buckminster.tutorial.mailapp.product.feature:eclipse.feature$1.0.0#site.p2]
INFO:  [end org.eclipse.buckminster.tutorial.mailapp.product.feature:eclipse.feature$1.0.0#site.p2]
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu: build.properties does not exist
Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 21: Package 'com.ibm.icu.impl.data.icudt40b.translit' does not exist in this plug-in

Warning: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF, line 23: The 'Eclipse-LazyStart' header is deprecated, use 'Bundle-ActivationPolicy'
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable: build.properties does not exist
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 7: The type 'org.eclipse.core.internal.databinding.obs
ervable.Activator' is not on the plug-in classpath
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observable\META-INF\MANIFEST.MF, line 15: Package 'org.eclipse.core.databinding.observable.val
ue' does not exist in this plug-in
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.property: build.properties does not exist
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.property\META-INF\MANIFEST.MF, line 18: Package 'org.eclipse.core.internal.databinding.propert
y.value' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.beans\META-INF\MANIFEST.MF, line 9: Package 'org.eclipse.core.internal.databinding.beans' does
 not exist in this plug-in
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.core.databinding\META-INF\MANIFEST.MF, line 7: The type 'org.eclipse.core.internal.databinding.Activator' is
not on the plug-in classpath
Error: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.ds\META-INF\MANIFEST.MF, line 10: Package 'org.eclipse.equinox.internal.ds.storage.file' does not exist
 in this plug-in
Warning: file C:\TEMP\tutorial\features\org.eclipse.equinox.executable\feature.xml, line 202: Plug-in reference 'org.eclipse.equinox.launcher.gtk.linux.s390' ca
nnot be resolved
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.directorywatcher: build.properties does not exist
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.extensionlocation: Build path specifies execution environment J2SE-1.4. There are no JREs installe
d in the workspace that are strictly compatible with this environment.
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.metadata.generator: build.properties does not exist
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.reconciler.dropins: build.properties does not exist
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.repository.tools: build.properties does not exist
Error: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.repository.tools\META-INF\MANIFEST.MF, line 10: Package 'org.eclipse.equinox.p2.internal.repository.
tools.tasks' does not exist in this plug-in
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.util: build.properties does not exist
Error: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.util\META-INF\MANIFEST.MF, line 15: Package 'org.eclipse.equinox.internal.util.impl.tpt' does not exist
 in this plug-in
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.help: build.properties does not exist
Error: file C:\TEMP\tutorial\plugins\org.eclipse.help\META-INF\MANIFEST.MF, line 42: Package 'org.eclipse.help.internal.util' does not exist in this plug-in
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.swt: build.properties does not exist
Error: file C:\TEMP\tutorial\plugins\org.eclipse.swt\META-INF\MANIFEST.MF, line 11: Package 'org.eclipse.swt.dnd' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.jface\META-INF\MANIFEST.MF, line 36: Package 'org.eclipse.jface.wizard.images' does not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.jface.databinding\META-INF\MANIFEST.MF, line 19: Package 'org.eclipse.jface.internal.databinding.viewers' does
not exist in this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.jface.databinding\META-INF\MANIFEST.MF, line 20: Package 'org.eclipse.jface.databinding.util' does not exist in
 this plug-in
Error: file C:\TEMP\tutorial\plugins\org.eclipse.ui.workbench\META-INF\MANIFEST.MF, line 16: Package 'org.eclipse.ui.application' does not exist in this plug-in

Error: file C:\TEMP\tutorial\plugins\org.eclipse.ui.workbench\META-INF\MANIFEST.MF, line 95: Package 'org.eclipse.ui.wizards' does not exist in this plug-in
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.ui: build.properties does not exist
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.ui\plugin.xml, line 22: "schema/editorActions.exsd" does not reference a schema file.
Error: file C:\TEMP\tutorial\plugins\org.eclipse.ui\META-INF\MANIFEST.MF, line 10: Package 'org.eclipse.ui.internal' does not exist in this plug-in
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.security.ui: build.properties does not exist
Error: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.security.ui\META-INF\MANIFEST.MF, line 16: Package 'org.eclipse.equinox.internal.security.ui.wizard' do
es not exist in this plug-in
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.ui: build.properties does not exist
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.ui\META-INF\MANIFEST.MF, line 48: The 'Eclipse-LazyStart' header is deprecated, use 'Bundle-Activa
tionPolicy'
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.ui.sdk: Build path specifies execution environment J2SE-1.4. There are no JREs installed in the wo
rkspace that are strictly compatible with this environment.
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.ui.sdk: build.properties does not exist
Warning: file C:\TEMP\tutorial\plugins\org.eclipse.equinox.p2.ui.sdk\META-INF\MANIFEST.MF, line 37: The 'Eclipse-LazyStart' header is deprecated, use 'Bundle-Ac
tivationPolicy'
Error: file C:\TEMP\tutorial\plugins\org.eclipse.buckminster.tutorial.mailapp\src\org\eclipse\buckminster\tutorial\mailapp\View.java, line 72: GridData cannot b
e resolved
Error: file C:\TEMP\tutorial\plugins\org.eclipse.buckminster.tutorial.mailapp\src\org\eclipse\buckminster\tutorial\mailapp\Perspective.java, line 19: IFolderLay
out cannot be resolved to a type
Error: file C:\TEMP\tutorial\plugins\org.eclipse.buckminster.tutorial.mailapp\src\org\eclipse\buckminster\tutorial\mailapp\OpenViewAction.java, line 32: IWorkbe
nchWindow cannot be resolved to a type
Error: file C:\TEMP\tutorial\plugins\org.eclipse.buckminster.tutorial.mailapp\src\org\eclipse\buckminster\tutorial\mailapp\MessagePopupAction.java, line 23: IWo
rkbenchWindow cannot be resolved to a type
Error: file C:\TEMP\tutorial\plugins\org.eclipse.buckminster.tutorial.mailapp\src\org\eclipse\buckminster\tutorial\mailapp\ApplicationActionBarAdvisor.java, lin
e 82: IWorkbenchAction cannot be resolved to a type
Error: file C:\TEMP\tutorial\plugins\org.eclipse.buckminster.tutorial.mailapp\src\org\eclipse\buckminster\tutorial\mailapp\Activator.java, line 59: The method i
mageDescriptorFromPlugin(String, String) is undefined for the type Activator
Warning: file C:\TEMP\tutorial\features\org.eclipse.rcp\feature.xml, line 531: Plug-in reference 'org.eclipse.equinox.launcher.cocoa.macosx' cannot be resolved
Found 23 errorsand 23 warnings
Build failed!



any ideas?
Rainer

[Updated on: Thu, 20 May 2010 06:59]

Report message to a moderator

Re: The project cannot be built until its prerequisite org.eclipse.ui is built. [message #534795 is a reply to message #534788] Thu, 20 May 2010 07:17 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3214
Registered: July 2009
Senior Member
Hi Rainer,
Are you importing the com.ibm.icu bundle into your workspace? I don't understand why that should be built from source.
The source you have seems be corrupt. Does it build in your IDE?

- thomas


On 05/20/2010 12:56 PM, Rainer wrote:
> Hi
> I tried
> buckminster -data c:\temp\tutorial build
> there are a lot of errors like
>
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu: build.properties does
> not exist
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 11: Package 'com.ibm.icu.lang' does not exist in this plug-in
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 12: Package 'com.ibm.icu.math' does not exist in this plug-in
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 13: Package 'com.ibm.icu.text' does not exist in this plug-in
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 14: Package 'com.ibm.icu.util' does not exist in this plug-in
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 15: Package 'com.ibm.icu.impl' does not exist in this plug-in
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 16: Package 'com.ibm.icu.impl.data' does not exist in this plug-in
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 17: Package 'com.ibm.icu.impl.data.icudt40b' does not exist in this
> plug-in
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 18: Package 'com.ibm.icu.impl.data.icudt40b.brkitr' does not exist
> in this plug-in
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 19: Package 'com.ibm.icu.impl.data.icudt40b.coll' does not exist in
> this plug-in
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 20: Package 'com.ibm.icu.impl.data.icudt40b.rbnf' does not exist in
> this plug-in
> Error: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 21: Package 'com.ibm.icu.impl.data.icudt40b.translit' does not
> exist in this plug-in
>
> Warning: file C:\TEMP\tutorial\plugins\com.ibm.icu\META-INF\MANIFEST.MF,
> line 23: The 'Eclipse-LazyStart' header is deprecated, use
> 'Bundle-ActivationPolicy'
> Warning: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able:
> build.properties does not exist
> Warning: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 7: The type 'org.eclipse.core.internal.databinding.obs
> ervable.Activator' is not on the plug-in classpath
> Error: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 14: Package 'org.eclipse.core.databinding.observable.set
> ' does not exist in this plug-in
> Error: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 15: Package 'org.eclipse.core.databinding.observable.val
> ue' does not exist in this plug-in
> Error: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 16: Package 'org.eclipse.core.databinding.util' does not
> exist in this plug-in
> Error: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 17: Package 'org.eclipse.core.internal.databinding.ident
> ity' does not exist in this plug-in
> Error: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 19: Package 'org.eclipse.core.internal.databinding.obser
> vable' does not exist in this plug-in
> Error: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 20: Package 'org.eclipse.core.internal.databinding.obser
> vable.masterdetail' does not exist in this plug-in
> Error: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 10: Package 'org.eclipse.core.databinding.observable' do
> es not exist in this plug-in
> Error: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 11: Package 'org.eclipse.core.databinding.observable.lis
> t' does not exist in this plug-in
> Error: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 12: Package 'org.eclipse.core.databinding.observable.map
> ' does not exist in this plug-in
> Error: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.observ able\META-INF\MANIFEST.MF,
> line 13: Package 'org.eclipse.core.databinding.observable.mas
> terdetail' does not exist in this plug-in
> Warning: file
> C:\TEMP\tutorial\plugins\org.eclipse.core.databinding.proper ty:
> build.properties does not exist
Re: The project cannot be built until its prerequisite org.eclipse.ui is built. [message #534810 is a reply to message #534795] Thu, 20 May 2010 08:22 Go to previous messageGo to next message
Maxi is currently offline Maxi
Messages: 9
Registered: May 2010
Junior Member
Hi

all I have done:
director ....
buckminster install core, cvs, svn, pde, ...
buckminster -data c:\temp\tutorial resolve http://dev.eclipse.org/svnroot/tools/org.eclipse.buckminster/trunk/org.eclipse.buckminster.tutorial.mailapp.releng/developer.cquery
buckminster -data c:\temp\tutorial perform org.eclipse.buckminster.tutorial.mailapp.product.feature#site.p2


thats all - I dont know whats the problem

Rainer
Re: The project cannot be built until its prerequisite org.eclipse.ui is built. [message #534850 is a reply to message #534810] Thu, 20 May 2010 09:39 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3214
Registered: July 2009
Senior Member
What version of Buckminster are you using?

- thomas

On 05/20/2010 02:22 PM, Rainer wrote:
> Hi
>
> all I have done:
> director ....
> buckminster install core, cvs, svn, pde, ...
> buckminster -data c:\temp\tutorial resolve
> http://dev.eclipse.org/svnroot/tools/org.eclipse.buckminster /trunk/org.eclipse.buckminster.tutorial.mailapp.releng/devel oper.cquery
>
> buckminster -data c:\temp\tutorial perform
> org.eclipse.buckminster.tutorial.mailapp.product.feature#sit e.p2
>
> thats all - I dont know whats the problem
>
> Rainer
Re: The project cannot be built until its prerequisite org.eclipse.ui is built. [message #535078 is a reply to message #534775] Fri, 21 May 2010 04:59 Go to previous messageGo to next message
Maxi is currently offline Maxi
Messages: 9
Registered: May 2010
Junior Member
Hi

where can I find used version?

I have downloaded director_latest.zip from
http://www.eclipse.org/buckminster/downloads.html
and then director ...
buckminster install ...

I have found
org.eclipse.buckminster.core_1.1.350.r11409.jar
org.eclipse.buckminster.cmdline_1.0.350.r11146.jar

Rainer
Re: The project cannot be built until its prerequisite org.eclipse.ui is built. [message #629981 is a reply to message #534850] Thu, 30 September 2010 04:33 Go to previous messageGo to next message
Michael Breu is currently offline Michael Breu
Messages: 19
Registered: April 2010
Location: Inzing, Austria
Junior Member
Hello Thomas, hello Maxi,

Sorry for "kidnapping" this thread. However I have the same problem.

I'm working with Buckminster 3.5 (org.eclipse.buckminster.core_1.1.350.r11409.jar). Seems to be the latest for Buckminster 3.5.

I also get spurious "The project cannot be built until its prerequisite ...". Up to now I solved it by reopening the workspace with (head-full?) eclipse 3.5,cleaning the project explicitely and restarting buckminster. This is very tedious, because I get several of these messages until buckminster finally succeeds.

I'm just tried your advice with the "build"-command. However as I suspected that produced various "package ... does not exist in this plug-in" messages.

The reason for this seems to be that I configured to resolve only the binaries of the imported plugins. Eclipse/Buckminster seems to have a problem to import these binaries correctly into the workspace.

I tried to simulate this problem with my local eclipse installation, but was not able to provoke this problem.

Any ideas?
Re: The project cannot be built until its prerequisite org.eclipse.ui is built. [message #630147 is a reply to message #629981] Thu, 30 September 2010 15:06 Go to previous message
Michael Breu is currently offline Michael Breu
Messages: 19
Registered: April 2010
Location: Inzing, Austria
Junior Member
Hello,

Just to anwer my own question, or at least present some work around.

In the thread http://www.eclipse.org/forums/index.php?t=msg&goto=52922 0& it was proposed, not to import binary plug-ins. Rather one should work with target definitions.

Ralf Ebert shows a an example for this with importtargetdefinition. However mind the two pitfalls with -roaming and ${eclipse.home} variables in target definitions (see notes in the discussion)

Michael

Previous Topic:Materializing non-Java and non-plugin projects
Next Topic:Adding source feature causes MissingComponentException in site.p2.zip action
Goto Forum:
  


Current Time: Thu Jul 24 16:02:45 EDT 2014

Powered by FUDForum. Page generated in 0.03429 seconds